package com.ruoyi.change.mapper;

import java.util.List;
import com.ruoyi.change.domain.TbAssetOrder;

/**
 * 资产单据Mapper接口
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public interface TbAssetOrderMapper 
{
    /**
     * 查询资产单据
     * 
     * @param id 资产单据主键
     * @return 资产单据
     */
    public TbAssetOrder selectTbAssetOrderById(Long id);

    /**
     * 查询资产单据列表
     * 
     * @param tbAssetOrder 资产单据
     * @return 资产单据集合
     */
    public List<TbAssetOrder> selectTbAssetOrderList(TbAssetOrder tbAssetOrder);

    /**
     * 新增资产单据
     * 
     * @param tbAssetOrder 资产单据
     * @return 结果
     */
    public int insertTbAssetOrder(TbAssetOrder tbAssetOrder);

    /**
     * 修改资产单据
     * 
     * @param tbAssetOrder 资产单据
     * @return 结果
     */
    public int updateTbAssetOrder(TbAssetOrder tbAssetOrder);

    /**
     * 删除资产单据
     * 
     * @param id 资产单据主键
     * @return 结果
     */
    public int deleteTbAssetOrderById(Long id);

    /**
     * 批量删除资产单据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbAssetOrderByIds(Long[] ids);
}
